<?php

namespace metatable;

use phpcommon;

function getItemConf()
{
    return _internalGetItemConf();
}

function getItemById($item_id)
{
    $conf = getItemConf();
    $item_id = (int)$item_id;
    return array_key_exists($item_id, $conf) ? $conf[$item_id] : null;
}

function _internalGetItemConf()
{
    global $g_item_table;
    if (!$g_item_table) {
        $g_item_table = require(getConfigBaseDir() . 'item@item.php');
    }
    return $g_item_table;
}
