begin;

alter table user add column `shop_view_times` int(11) NOT NULL DEFAULT '0' COMMENT '商店看广告次数';
alter table user add column `new_first_equip` int(11) NOT NULL DEFAULT '0' COMMENT '新玩家结算武器';
alter table user add column `newhand2` int(11) NOT NULL DEFAULT '0' COMMENT '精英礼包领取状态';
alter table user add column `game_times2` int(11) NOT NULL DEFAULT '0' COMMENT '精英礼包战斗场次';
alter table user add column `view_times2` int(11) NOT NULL DEFAULT '0' COMMENT '精英礼包视频场次';

alter table activity add column `now_days` int(11) NOT NULL DEFAULT '0' COMMENT '当前第几天';

DROP TABLE IF EXISTS `shop_data`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `shop_data` (
  `idx` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `accountid` varchar(60) NOT NULL DEFAULT '' COMMENT '账号id',
  `blobdata` mediumblob COMMENT '商店数据json',
  `create_time`   int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modify_time`   int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `accountid` (`accountid`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


insert into version (version) values(2020082901);

commit;
