<?php

namespace metatable;

use phpcommon;

function getParameterConf()
{
    return _internalGetParameterConf();
}

function getParameterById($param_id)
{
    $conf = getParameterConf();
    $parameter_id = (int)$param_id;
    return array_key_exists($parameter_id, $conf) ? $conf[$parameter_id] : null;
}

function getParameterByName($param_name)
{
    $conf = getParameterConf();
    foreach ($conf as $key => $val) {
        if ($val['param_name'] == $param_name) {
            return $val['param_value'];
        }
    }
    return null;
}

function _internalGetParameterConf()
{
    global $g_parameter_table;
    if (!$g_parameter_table) {
        $g_parameter_table = require(getConfigBaseDir() . 'parameter@parameter.php');
    }
    return $g_parameter_table;
}
